#pragma once

#include "WinsockSocket.h"
#include "WinsockInterface.h"

#include "PlatformSocketClient.h"

#include <vector>

class WinsockClient : public PlatformSocketClient
{
public:
    WinsockClient();

    Result request(const Address& address, const std::string& message);

private:
    std::unique_ptr<WinsockInterface> mSocketInterface;
};
